#ifndef OBJECT_OP_H
#define OBJECT_OP_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: op.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include "string.h"
#include "globals.h"

class JC_op : public JC_string {
private:
	int opnum;
public:
	JC_op(const std::string &);
	~JC_op(void);

	inline const obj_type get_type(void) const { return OPERATOR; };
	inline int get_num(void) const { return opnum;};
    inline std::string to_output_string() const {return to_string();};
};
#endif // OBJECT_OP_H
